Page MenuHomePhabricator

[HIP] Add support functions for C++ polymorphic types
ClosedPublic

Authored by scchan on Jun 16 2021, 8:42 AM.

Details

Summary

Add runtime functions to detect invalid calls to pure or deleted virtual
functions

Diff Detail

Unit TestsFailed

TimeTest
730 msx64 debian > libomp.lock::omp_init_lock.c
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -fopenmp -pthread -fno-experimental-isel -I /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test -I /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/src -L /var/lib/buildkite-agent/builds/llvm-project/build/lib -I /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test/ompt /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test/lock/omp_init_lock.c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/test/lock/Output/omp_init_lock.c.tmp -lm -latomic && /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/test/lock/Output/omp_init_lock.c.tmp

Event Timeline

scchan requested review of this revision.Jun 16 2021, 8:42 AM
scchan created this revision.
Herald added a project: Restricted Project. · View Herald TranscriptJun 16 2021, 8:42 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
scchan updated this revision to Diff 353035.Jun 18 2021, 9:46 AM

Adding test

yaxunl accepted this revision.Jun 18 2021, 9:57 AM

LGTM. Thanks! pls remove the extra line when committing.

clang/test/Headers/hip-header.hip
88 ↗(On Diff #353035)

extrac line

This revision is now accepted and ready to land.Jun 18 2021, 9:57 AM
scchan updated this revision to Diff 353041.Jun 18 2021, 10:30 AM

Minor clean up in the hip-header.hip test

This revision was landed with ongoing or failed builds.Jun 21 2021, 8:41 AM
This revision was automatically updated to reflect the committed changes.